##############################################################################
# Module : abc_okc_starter.py
# Author : Old King Cole
# Date   : 20 August 2007
#
# Description : ABC_OKC starter
#
##############################################################################

import sys
from utility import Stderr
sys.stderr = Stderr()
from os import execv
from os.path import dirname, join
from wx import GetUserId, SingleInstanceChecker

from interconn import clientPassParam
from commandline import getCommandLine


arg = getCommandLine()
# Create single instance semaphore
singleinstancechecker = SingleInstanceChecker("pingpong-abc" + GetUserId())
if singleinstancechecker.IsAnotherRunning():
    # Send command line to abc_okc single instance
    clientPassParam(arg[1:])
else:
    # Launch first abc_okc single instance
    exe = arg[0] = join(dirname(arg[0]), u'abc_okc.exe')
    for i in xrange(len(arg)):
        arg[i] = u'"' + arg[i] + u'"'
    execv(exe, arg)
