# setup.py
# Updated and modified for ABC_OKC : Old King Cole
from distutils.core import setup
import py2exe


manifest_template = '''
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
  <assemblyIdentity
    version="1.0.0.0"
    processorArchitecture="X86"
    name="Microsoft.Winweb.ABC_OKC"
    type="win32"
  />
  <description>%s</description>
  <dependency>
    <dependentAssembly>
      <assemblyIdentity 
        type='win32' 
        name='Microsoft.VC90.CRT' 
        version='9.0.21022.8' 
        processorArchitecture='*' 
        publicKeyToken='1fc8b3b9a1e18e3b'
      />
    </dependentAssembly>
  </dependency>
  <dependency>
    <dependentAssembly>
      <assemblyIdentity
        type="win32"
        name="Microsoft.Windows.Common-Controls"
        version="6.0.0.0"
        processorArchitecture="X86"
        publicKeyToken="6595b64144ccf1df"
        language="*"
      />
    </dependentAssembly>
  </dependency>
</assembly>
'''

RT_MANIFEST = 24

abc_okc = dict(
    description = "ABC_OKC BitTorrent client",
    version = "3.10.8.440",
    copyright = "",
    script = "abc_okc.py",
    other_resources = [(RT_MANIFEST, 1, manifest_template % "ABC_OKC BitTorrent client")],
    icon_resources = [(1, "icon_abc.ico")],
    dest_base = "abc_okc")

abc = dict(
    description = "ABC_OKC BitTorrent client",
    version = "3.10.8.440",
    copyright = "",
    script = "abc_okc_starter.py",
    other_resources = [(RT_MANIFEST, 1, manifest_template % "ABC_OKC BitTorrent client")],
    icon_resources = [(1, "icon_abc.ico")],
    dest_base = "abc")

################################################################

setup(
    name = "ABC_OKC",
    data_files = [("ABC",["abc.nsi", "icon_abc.ico", "torrenticon.ico",
                          "LICENSE.txt", "readme.txt", "AboutTheRSSFeedScanner.html"]),
                  ("ABC\\locale\\fr\\LC_MESSAGES", ["locale\\fr\\LC_MESSAGES\\wxstd.mo"])],
    windows = [abc_okc, abc]
)
